Install the plugin as usual in WordPress. You can upload the ZIP package on the plugin page in your WordPress back-end, or unzip the plugin folder and upload it via (S)FTP. As soon as you have uploaded the plugin, you can activate it in your WordPress admin area.

PermalinkMinimum Requirements

WooCommerce EU VAT Checkout depends on the following minimum requirements in order to function correctly:

  • WordPress 4.01 or higher
  • WooCommerce 2.2.8 or higher
  • PHP 5.2 or higher

PermalinkRequirements for WooCommerce Configuration

WooCommerce EU VAT Checkout has been designed for consumer business (B2C). It therefore requires activated tax calculation in WooCommerce as well as prices displaying inclusive tax in cart and during checkout.